> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available phone numbers



## OpenAPI

````yaml post /agency/twilio/search-numbers
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency/twilio/search-numbers:
    post:
      tags:
        - Twilio
      summary: Search available phone numbers
      operationId: TwilioController_searchListNumber
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchNumberDto'
      responses:
        '200':
          description: Returns list of available numbers
      security:
        - apiKey: []
components:
  schemas:
    SearchNumberDto:
      type: object
      properties:
        countryCode:
          type: string
        areaCode:
          type: string
      required:
        - countryCode
        - areaCode
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````